{% extends 'base.html.twig' %}

{% block icon %}fa fa-table{% endblock %}
{% block title %}Règles documentaires{% endblock %}
{% block breadcrumb %}
    <li><a href="{{ url('app_home', {tenant_url: app.request.get('tenant_url')}) }}">
        {{ current_tenant('name') }}
    </a></li>
    {% if category is not null %}
        {% set path = category.path|split(' ⮕ ') %}
        {% set current = url(
            'app_reader_document_rule',
            {names: path[0], tenant_url: app.request.get('tenant_url')}
        ) %}
        <li><a href="{{ url('app_reader_document_rule', {tenant_url: app.request.get('tenant_url')}) }}">
            Règles documentaires
        </a></li>
        {% for i, cat in path %}
            {% if i > 0 %}
                {% set current = current ~ '/' ~ cat %}
            {% endif %}
            {% if i == path|length -1 %}
                <li class="active">{{ cat }}</li>
            {% else %}
                <li><a href="{{ current }}">{{ cat }}</a></li>
            {% endif %}
        {% endfor %}
    {% else %}
        <li class="active">Règles documentaires</li>
    {% endif %}
{% endblock %}

{% block body %}

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des règles documentaires"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_reader_document_rule_csv', app.request.query.all + {names: app.request.attributes.get('names')}) }}" data-link-download-csv="%s_authority.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}
